/*
 * Custom code goes here.
 * A template should always ship with an empty custom.css
 */

/* FIX IOS HORIZONTAL SCROLL */
body {
  overscroll-behavior-x: none;
  touch-action: pan-y;
}
/* END */

.btn-link {
  --bs-btn-font-weight: 400;
  --bs-btn-color: #555555;
  --bs-btn-bg: transparent;
  --bs-btn-border-color: transparent;
  --bs-btn-hover-color: #242323;
  --bs-btn-hover-border-color: transparent;
  --bs-btn-active-color: #242323;
  --bs-btn-active-border-color: transparent;
  --bs-btn-disabled-color: #6c757d;
  --bs-btn-disabled-border-color: transparent;
  --bs-btn-box-shadow: 0 0 0 #000;
  --bs-btn-focus-shadow-rgb: 40, 154, 179;
}

.category-description {
  transition: max-height 0.3s ease;
}

.category-description.has-gradient::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 60px; /* Height of the gradient fade */
  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0) 0%,
    #f7f7f7 100%
  );
  pointer-events: none;
}

.product-list-subcategories.has-gradient::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 60px; /* Height of the gradient fade */
  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0) 0%,
    #f7f7f7 100%
  );
  pointer-events: none;
}

.show-more-btn {
  margin-top: 10px;
  padding: 5px 0;
  text-decoration: none;
}

.show-more-btn:hover {
  text-decoration: underline;
}

.products.row > .col,
.products.row > [class*="col-"],
.swiper-container-wrapper .product-carousel {
  padding: 0.5rem;
}

@media (max-width: 767px) {
  .products-grid .product-miniature-layout-1 .product-description {
    padding: 0.5rem;
  }
}

.h1,
h1 {
  font-size: 1.75rem !important;
}

.h2,
h2 {
  font-size: 1.675rem !important;
}

.h3,
h3 {
  font-size: 1.6rem !important;
}

.h4,
h4 {
  font-size: 1.525rem !important;
}

.h5,
h5 {
  font-size: 1.45rem !important;
}

.h6,
h6 {
  font-size: 1.375rem !important;
}

.h7,
h7 {
  font-size: 1rem !important;
}

#product .swiper-slide {
  display: flex;
}

.swiper-slide .product-miniature-default .product-title {
  min-height: 76px;
}

#productdaas-accordion > .card {
  padding: 0;
  box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.2);
  margin-bottom: 12px;
}

.iqit-accordion .content, .iqit-accordion .title {
  border-bottom: none
}

.iqit-accordion .title {
  padding: 0;
}

.iqit-accordion .title a {
  padding: 12px;
}

.iqit-accordion .content {
  padding: 0 12px 12px
}

.iqit-accordion .content > * {
  border-top: 1px solid #ddd;
  padding-top: 12px !important;
  margin-top: 0 !important;
}

.iqit-accordion .content .product-description > * {
  padding-top: 0 !important;
}

.swiper-button-next, .swiper-button-prev {
  background: #477e5c;
  color: rgb(255 255 255);
}

@media (max-width: 991px) {
  #mobile-header .m-nav-btn>i {
    font-size: 1.25rem;
  }

  #mobile-header .m-nav-btn {
    color: white;
    background: #5a9e74;
    margin: 2px;
    border-radius: 4px;
  }

  #mobile-header .m-nav-btn:hover {
    color: white;
    background: #477e5c;
  }

  .col-mobile-logo img {
    max-width: 185px;
  }
}

.cbp-vertical-on-top .cbp-vertical-title, .cbp-horizontal > ul > li > a {
  line-height: 2.5rem !important;
}

.sticky-desktop-wrapper #desktop-header.stuck-header {
  border-bottom: 0;
}

.cbp-horizontal .cbp-tab-title {
  font-weight: 700;
}

#iqitmegamenu-horizontal {
  background: #f7f7f7;
}

#index #wrapper {
  padding-top: 0;
}

.sticky-desktop-wrapper {
  height: 129px !important;
}

@media (min-width: 768px) {
  .product-info-row {
    --bs-gutter-x: 0;
    box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.2);
  }
  
  .col-product-info, .col-product-image {
    padding: 12px;
  }
}

.ps-shoppingcart .cart-products-count-btn {
  top: -6px;
  right: -12px;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: 400;
}

#wrapper {
  background: #f7f7f7;
}

.product-miniature, .product-info-row, #productdaas-accordion > .card {
  background: #fff;
}

#footer-container-main > .container {
  border: none
}

#header .header-nav {
  color: #ffffff;
  background: #477e5c;
}

@media (min-width: 768px) {
  #search_center_filter_toggler {
    display: none
  }
}

#search_center_filter_toggler {
  background-color: #477e5c;
}

#search_center_filter_toggler:hover {
  background-color: #5a9e74;
}

.btn, .products-grid .product-miniature-default, .product-miniature, .product-info-row, #productdaas-accordion > .card {
  border-radius: 3px;
}

.product-quantity .add-to-cart:disabled {
  opacity: 0.5 !important;
}

#footer-container-main > .container {
  padding-top: 20px !important
}

#authentication #main .page-content,
#identity #main .page-content,
#addresses #main .page-content,
#address #main .page-content,
#history #main .page-content,
#order-slip #main .page-content,
#order-detail #main .page-content,
#discount #main .page-content,
#module-iqitwishlist-view #main .page-content,
#contact #main .page-content,
#module-psgdpr-gdpr #main .page-content,
#registration #main .page-content {
  background: #fff;
}

#contact #main .page-content {
    border: 1px solid rgba(160, 160, 160, .25);
    padding: 1rem;
    margin: 0 auto;
}

.header-top .form-search-control {
  border-radius: 3px !important;
}

.add-to-cart {
  padding: 0;
  padding-right: 10px;
}
.add-to-cart i.fa-shopping-bag {
  padding: 10px;
  width: 2.5rem;
  margin-right: 10px;
  background: #5a9e74;
  border-top-left-radius: 3px;
  border-bottom-left-radius: 3px;
  display: inline-block !important;
  align-content: center;
  height: 100%;
}

.btn-check:checked+.btn, .btn.active, .btn.show, .btn:first-child:active, :not(.btn-check)+.btn:active {
  color: #ffffff;
  background-color: #5a9e74;
  scale: 0.98;
}

.btn.disabled, .btn:disabled, fieldset:disabled .btn {
  color: #ffffff;
  background-color: #5a9e74;
}

.add-to-cart .spinner-icon {
  display: none !important;
}

.product-add-to-cart .add-to-cart {
  background: #477e5c;
}

.product-add-to-cart .add-to-cart:hover {
  background: #5a9e74;
}

#category #left-column {
  background-color: #ffffff;
  height: fit-content;
  border-radius: 3px;
  box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.2);
  padding-top: 12px;
}

@media (max-width: 767px) {
  #category #left-column {
    margin: 0 4px
  }
}

.search-widget .search-btn, .search-form-mobile button {
  background: #5a9e74;
  color: white;
  border: none;
  padding: 0.375rem 0.75rem;
  border-radius: 3px;
}

#mobile-header .row-mobile-header {
  margin-left: -2px;
  margin-right: -2px;
}

#mobile-header #mobile-header-sticky, .sticky-desktop-wrapper #desktop-header.stuck-header {
  box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.2);
}

.product-add-to-cart i.fa-shopping-bag{
  padding: 20px 10px;
}